// *************************************************************************
//    BuiltinFailRelation.h
// *************************************************************************

#ifndef _BuiltinFailRelation_H_
#define _BuiltinFailRelation_H_

#include "BuiltinRelation.h"
#include "TupleIterator.h"
#include "Debug.h"

// *************************************************************************

class Cor_BuiltinFailRelation : public Cor_BuiltinRelation {

  public:
    Cor_BuiltinFailRelation(int a, Cor_CArg *n)
            : Cor_BuiltinRelation(a,n,NULL) {}

    virtual Cor_BindEnv *get_next(Cor_TupleIterator& iterator) {
        iterator.set_no_match();
        return iterator.bindenv;
    }
};

// *************************************************************************

#endif _BuiltinFailRelation_H_
