// *************************************************************************
//    BuiltinBinaryRelation.h
// *************************************************************************

#ifndef _BuiltinBinaryRelation_H_
#define _BuiltinBinaryRelation_H_

#include "BuiltinRelation.h"
#include "Debug.h"

// *************************************************************************

typedef void (*BinaryProc)(Cor_CArg&, const Cor_CArg& arg0, 
			   const Cor_CArg& arg1);

// *************************************************************************

class Cor_BuiltinBinaryRelation : public Cor_BuiltinRelation {

  public:
    BinaryProc op;

    Cor_BuiltinBinaryRelation(int a, Cor_CArg *n, BinaryProc bin_op);

    virtual Cor_BindEnv *get_next(Cor_TupleIterator&);
    int is_printable_builtin() { return(0); }
};

/*****************************************************************************/

#endif _BuiltinBinaryRelation_H_
