// *************************************************************************
//    QFModuleData.C
// *************************************************************************

#include "RuleInfoArray.h"
#include "ModulePred.h"
#include "ModuleInfo.h"
#include "PredAnnotations.h"
#include "Predicate.h"
#include "RuleInfo.h"
#include "RelationMisc.h"
#include "SemiNaive.h"        // ModuleKind

#include "QFModuleData.h"

// *************************************************************************
Cor_QFModuleData::Cor_QFModuleData()
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    F = NULL;
    module_info = NULL;

    index_annotations = NULL;
    multiset_annotations = NULL;
    agg_sel_annotations = NULL;
    diskrel_annotations = NULL;
    asyncrel_annotations = NULL;
}

// *************************************************************************
Cor_QFModuleData::~Cor_QFModuleData()
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    index_annotations->delete_list();
    multiset_annotations->delete_list();
    agg_sel_annotations->delete_list();
    diskrel_annotations->delete_list();
    asyncrel_annotations->delete_list();

    delete module_info;
    delete F;
}

// *************************************************************************
