#ifndef _CRDBSOLVERS_H_
#define _CRDBSOLVERS_H_

class Cor_BindEnv;		// forw. decl.
class Cor_BuiltinRelation;	// forw. decl.
class Cor_TupleIterator;	// forw. decl.


//--------------- Builtin Rdb Command Solvers ---------------
Cor_BindEnv *RdbOpenDBSolver(  Cor_BuiltinRelation& rel,
        Cor_TupleIterator& iterator);
Cor_BindEnv *RdbMapSolver(     Cor_BuiltinRelation& rel,
        Cor_TupleIterator& iterator);
Cor_BindEnv *RdbJoinSolver(    Cor_BuiltinRelation& rel,
        Cor_TupleIterator& iterator);
Cor_BindEnv *RdbCommitSolver(  Cor_BuiltinRelation& rel,
        Cor_TupleIterator& iterator);
Cor_BindEnv *RdbRollbackSolver(Cor_BuiltinRelation& rel,
        Cor_TupleIterator& iterator);
Cor_BindEnv *RdbExecuteSolver( Cor_BuiltinRelation& rel,
        Cor_TupleIterator& iterator);

//--------------- New Syntax ---------------------
Cor_BindEnv *RdbWorkspaceSolver( Cor_BuiltinRelation& rel,
        Cor_TupleIterator& iterator);

// Temporary, until moved to a part of set().
Cor_BindEnv *RdbLoggingSolver( Cor_BuiltinRelation& rel,
        Cor_TupleIterator& iterator);

#endif // _CRDBSOLVERS_H_
