// *************************************************************************
//    Scanner.h
// *************************************************************************

#ifndef _Scanner_H_
#define _Scanner_H_

#include "CoralStream.h"
#include "Config.h"
#include "CArg.h"

// *************************************************************************

class  Cor_Sip;
class  Cor_Sips;
class  Cor_Literal;
struct RuleAnnoList;
struct Cor_RuleAnno;
struct Cor_RuleAnnoCase;
struct Cor_RuleAnnoCaseName;
struct Cor_RuleAnnoCaseDetails;
class  Cor_CArgStack;

// *************************************************************************

union Cor_C_arbtype {
    Cor_Literal           *pred;
    Cor_CArg              *carg;
    char                  *str;
    Cor_CArgStack         *ca_list;
    Cor_Sip               *sip;
    Cor_Sips              *sips;
    struct Cor_AliasList           *alias_list;
    struct Cor_RuleAnno            *rule_anno;
    struct Cor_RuleAnnoCase        *anno_case;
    struct Cor_RuleAnnoCaseName    *anno_case_name;
    struct Cor_RuleAnnoCaseDetails *anno_case_details;
    int                             integer;
};

//    For Flex compatibility 
#define YYSTYPE Cor_C_arbtype

// *************************************************************************

extern CoralStream *yyin_strm;

// *************************************************************************

#endif _Scanner_H_
