

module declba_eg1a.
export nonterm(f).

%  Does not terminate; infinite number of answers.

nonterm(0).
nonterm(1).
nonterm(f(Y)) :- nonterm(Y).

end_module.


module declba_eg1b.
export toomanygoals(f).

%  The default CORAL strategy is to use (Supplementary) Magic Sets rewriting.
%  This mimics the generation of goals in Prolog, and leads to non-termination.
%  The annotation @no_magic would override the default; with this,
%  execution will terminate.  (The two facts are generated, and the third rule
%  does not match any fact.)

toomanygoals(0).
toomanygoals(1).
toomanygoals(Y) :- toomanygoals(f(Y)).

end_module.
